searchData={"items":[{"type":"module","title":"Emote","doc":"Small lib for converting emoticons and emoji names to emoji characters:\n\nWorks with emoji names:\n```elixir \niex> Emote.convert_text(\"my emoji game is :fire:\")\n\"my emoji game is 🔥\"\n```\n\nAnd emoticons (see `lib/emoticons.txt` for the list of supported ones):\n```elixir \niex> Emote.convert_text(\"my emoji game is :P\")\n\"my emoji game is 😜\"\n```\n\nYou can also provide a list of images that can be used as custom emoji:\n```elixir \niex> Emote.convert_text(\"I can use images as custom emoji :favicon:\", custom_emoji: %{\"favicon\" => \"/favicon.ico\"}) \n\"I can use images as custom emoji  \"\n```\n\nOr your own function to handle custom emoji:\n```elixir \n> Emote.convert_text(\"I can define my own function to handle custom emoji :fire:\",\n   custom_fn: fn word -> \n    case lookup_my_custom_emoji(word) do\n      %{label: label, url: url} ->\n          \"   \"\n          \n      _nil_ ->\n          word\n      end\n   end\n  )\n```\n\n\nKnown limitation:\n- Emojis combined together don't work, ex.: \":woo:pile_of_poo:hoo:\" would not convert.","ref":"Emote.html"},{"type":"module","title":"License - Emote","doc":"WTFPL, as originally forked from https://github.com/danigulyas/smile","ref":"Emote.html#module-license"},{"type":"function","title":"Emote.convert_text/2","doc":"Converts text in a way that it replaces any mapped emojis or emoticons with the equivalent emojis characters or images, including custom emoji","ref":"Emote.html#convert_text/2"},{"type":"function","title":"Emote.convert_word/2","doc":"Converts an emoticon or emoji name to emoji, including custom emoji. Simply returns the input when an emoji is not found.","ref":"Emote.html#convert_word/2"},{"type":"function","title":"Emote.lookup/1","doc":"Converts an emoticon or emoji name to emoji.\n\nReturns nil if no matching emoji is found. \n\nIf you need support for custom emoji, use `convert_word/2` instead.\n\n    iex> lookup(\":face_with_ok_gesture:\")\n    \"🙆\"\n\n    iex> lookup(\"face_with_ok_gesture\")\n    \"🙆\"\n\n    iex> lookup(\"unknown_emoji\")\n    nil","ref":"Emote.html#lookup/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}